System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.CodeDom.Compiler.CodeGenerator System.CodeDom.Compiler.ICodeCompiler

is a useful utility base class for code generators to derive from in order to provide code compilation functions.

This class contains a link demand and an inheritance demand at the class level that applies to all members. A is thrown when either the immediate caller or the derived class does not have full-trust permission. For details about security demands, see Link Demands and Inheritance Demands.

Provides an example implementation of the interface.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added

  Gets the command arguments to be passed to the compiler from the specified .

  The command arguments.

  A that indicates the compiler options.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  This property indicates the name of the compiler executable to invoke.

  Gets the name of the compiler executable.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  This property indicates the file name extension of the source files that are to be compiled.

  Gets the file name extension to use for source files.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CompilerResults `` `` To be added

  Compiles the specified compile unit using the specified options, and returns the results from the compilation.

  The results of compilation.

  A object that indicates the compiler options. A object that indicates the source to compile.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CompilerResults `` `` To be added

  Compiles the specified compile units using the specified options, and returns the results from the compilation.

  The results of compilation.

  A object that indicates the compiler options. An array of objects that indicates the source to compile.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CompilerResults `` `` To be added

  Compiles the specified file using the specified options, and returns the results from the compilation.

  The results of compilation.

  A object that indicates the compiler options. The file name to compile.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CompilerResults `` `` To be added

  Compiles the specified files using the specified options, and returns the results from the compilation.

  The results of compilation.

  A object that indicates the compiler options. An array of strings that indicates the file names of the files to compile.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CompilerResults `` `` To be added

  Compiles the specified source code string using the specified options, and returns the results from the compilation.

  The results of compilation.

  A object that indicates the compiler options. The source code string to compile.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CompilerResults `` `` To be added

  Compiles the specified source code strings using the specified options, and returns the results from the compilation.

  The results of compilation.

  A object that indicates the compiler options. An array of strings containing the source code to compile.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.String `` `` To be added

  Gets the command arguments to use when invoking the compiler to generate a response file.

  The command arguments to use to generate a response file, or null if there are no response file arguments.

  A object that indicates the compiler options. A command arguments string.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` `` To be added

  Joins the specified string arrays.

  The concatenated string.

  The array of strings to join. The separator to use.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Processes the specified line from the specified .

  A that indicates the results of compilation. The line to process.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CompilerResults `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The results of compilation.

  A object that indicates the compiler options. A that indicates the source to compile.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CompilerResults `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The results of compilation.

  A object that indicates the compiler options. An array of objects that indicates the source to compile.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CompilerResults `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The results of compilation.

  A object that indicates the compiler options. The file name to compile.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CompilerResults `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The results of compilation.

  A object that indicates the compiler options. An array of strings that indicates the file names to compile.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CompilerResults `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The results of compilation.

  A object that indicates the compiler options. A string that indicates the source code to compile.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.CompilerResults `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The results of compilation.

  A object that indicates the compiler options. An array of strings that indicates the source code to compile.